Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.remote.soap
Class SOAPService

    java.lang.Object
      mx4j.tools.remote.http.HTTPService
          mx4j.tools.remote.soap.SOAPService

All Implemented Interfaces:
  HTTPConnection, JMXConnection

Direct Known Subclasses:
  SSLSOAPService

public class SOAPService
extends HTTPService

The server-side service (the WebService actually) where remote calls end up after being parsed by Axis. This is, in Axis jargon, the 'pivot' of the invocation chain. It is used in the Axis deployment descriptor, and as such must be a public class.

Version:
  $Revision: 1.3 $

Constructor Summary
`SOAPService()`

Method Summary
`protected java.lang.String` | `findConnectionId()`
`protected java.lang.String` | `findRequestURL()`
`protected java.lang.String` | `getProtocol()`

Methods inherited from class mx4j.tools.remote.http.HTTPService
`addConnection, addNotificationListener, addNotificationListener, close, connect, createMBean, createMBean, fetchNotifications, findConnection, findJMXServiceURL, getAttribute, getAttributes, getConnectionId, getDefaultDomain, getDomains, getLogger, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeConnection, removeNotificationListener, removeNotificationListener, removeNotificationListeners, setAttribute, setAttributes, unregisterMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPService

    public SOAPService()

Method Detail

### findRequestURL

    protected java.lang.String findRequestURL()

  Specified by:
    `findRequestURL` in class `HTTPService`

### getProtocol

    protected java.lang.String getProtocol()

  Specified by:
    `getProtocol` in class `HTTPService`

### findConnectionId

    protected java.lang.String findConnectionId()

  Specified by:
    `findConnectionId` in class `HTTPService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.